org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsidePreferenceSetting

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.gui.StreetsidePreferenceSetting

- All Implemented Interfaces:
    org.openstreetmap.josm.gui.preferences.PreferenceSetting, org.openstreetmap.josm.gui.preferences.SubPreferenceSetting, StreetsideLoginListener

      public class StreetsidePreferenceSetting
      extends java.lang.Object
      implements org.openstreetmap.josm.gui.preferences.SubPreferenceSetting, StreetsideLoginListener

  Creates the preferences panel for the plugin.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `StreetsidePreferenceSetting.LoginAction` Opens the StreetsideOAuthUI window and lets the user log in.
    `private class` | `StreetsidePreferenceSetting.LogoutAction` Logs the user out.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JCheckBox` | `cutOffSeq`
    `private javax.swing.JCheckBox` | `developer`
    `private javax.swing.JCheckBox` | `displayHour`
    `private javax.swing.JComboBox<java.lang.String>` | `downloadModeComboBox`
    `private javax.swing.JCheckBox` | `format24`
    `private javax.swing.JCheckBox` | `hoverEnabled`
    `private javax.swing.JCheckBox` | `imageLinkToBlurEditor`
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private javax.swing.JButton` | `loginButton`
    `private javax.swing.JLabel` | `loginLabel`
    `private javax.swing.JPanel` | `loginPanel`
    `private javax.swing.JButton` | `logoutButton`
    `private javax.swing.JCheckBox` | `moveTo`
    `private javax.swing.SpinnerNumberModel` | `preFetchSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsidePreferenceSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGui(org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane gui)`
    `org.openstreetmap.josm.gui.preferences.TabPreferenceSetting` | `getTabPreferenceSetting(org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane gui)`
    `boolean` | `isExpert()`
    `boolean` | `ok()`
    `void` | `onLogin(java.lang.String username)` Should be called whenever the user logs into a mapillary account.
    `void` | `onLogout()` Should be called whenever the user logs out of a mapillary account.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### downloadModeComboBox

          private final javax.swing.JComboBox<java.lang.String> downloadModeComboBox

    - #### displayHour

          private final javax.swing.JCheckBox displayHour

    - #### format24

          private final javax.swing.JCheckBox format24

    - #### moveTo

          private final javax.swing.JCheckBox moveTo

    - #### hoverEnabled

          private final javax.swing.JCheckBox hoverEnabled

    - #### cutOffSeq

          private final javax.swing.JCheckBox cutOffSeq

    - #### imageLinkToBlurEditor

          private final javax.swing.JCheckBox imageLinkToBlurEditor

    - #### developer

          private final javax.swing.JCheckBox developer

    - #### preFetchSize

          private final javax.swing.SpinnerNumberModel preFetchSize

    - #### loginButton

          private final javax.swing.JButton loginButton

    - #### logoutButton

          private final javax.swing.JButton logoutButton

    - #### loginLabel

          private final javax.swing.JLabel loginLabel

    - #### loginPanel

          private final javax.swing.JPanel loginPanel

  - ### Constructor Detail

    - #### StreetsidePreferenceSetting

          public StreetsidePreferenceSetting()

  - ### Method Detail

    - #### getTabPreferenceSetting

          public org.openstreetmap.josm.gui.preferences.TabPreferenceSetting getTabPreferenceSetting(org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane gui)

      Specified by:
        `getTabPreferenceSetting` in interface `org.openstreetmap.josm.gui.preferences.SubPreferenceSetting`

    - #### addGui

          public void addGui(org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane gui)

      Specified by:
        `addGui` in interface `org.openstreetmap.josm.gui.preferences.PreferenceSetting`

    - #### onLogin

          public void onLogin(java.lang.String username)

      Description copied from interface: `StreetsideLoginListener`
      Should be called whenever the user logs into a mapillary account. E.g. for updating the GUI to reflect the login status.
      Specified by:
        `onLogin` in interface `StreetsideLoginListener`
      Parameters:
        `username` - the username that the user is now logged in with

    - #### onLogout

          public void onLogout()

      Description copied from interface: `StreetsideLoginListener`
      Should be called whenever the user logs out of a mapillary account. E.g. for updating the GUI to reflect the login status.
      Specified by:
        `onLogout` in interface `StreetsideLoginListener`

    - #### ok

          public boolean ok()

      Specified by:
        `ok` in interface `org.openstreetmap.josm.gui.preferences.PreferenceSetting`

    - #### isExpert

          public boolean isExpert()

      Specified by:
        `isExpert` in interface `org.openstreetmap.josm.gui.preferences.PreferenceSetting`

JOSM Plugins